Subject: Re: [RFC PATCH v4 11/26] Move WebDAV HTTP push under remote-curl

From: Clemens Buchacher <[email-masked]>
Date: Fri, 30 Oct 2009 20:06:55 +0100

On Sat, Oct 31, 2009 at 12:10:29AM +0800, Tay Ray Chuan wrote:

> Clemens, the following addresses your non-desire to remove the
> "unpacked refs" test in your earlier email
> <20091025161630.GB8532@localhost>.

> Now that the first push in "push to remote repository with packed
> refs" succeeds, the "unpacked refs" test is redundant.

How can the changed result of one test suddenly make another test redundant?
The two are testing different things.

> Since http-push
> in that first test already updated /refs/heads/master and /info/refs,
> 'git update-ref' incorrectly reverts the earlier push, and 'git
> update-server-info' is redundant.

No, 'git update-ref' correctly reverts the earlier push, so we can push again
and 'git update-server-info' is therefore necessary for the test to work
independently of its predecessors result.

Clemens